Kylin OLAP
===========


What is Kylin
------------
> Extreme OLAP Engine for Big Data

An open source distributed Analytical Engine from eBay to provide SQL interface and multi-dimensional analysis (OLAP) on Hadoop to support TB to PB size analysis.

This [slice](docs/Apache Kylin 2014 Dec.pdf) might help you better understand what kylin is and how it works.


Tutorial 
------------

Please follow this installation tutorial to start with Kylin: [Installation Tutorial](docs/Installation/Installation.md)


Advanced Topics
-------
####Connectivity
1.[How to use kylin remote jdbc driver](docs/Tutorial/How to use kylin remote jdbc driver.md)

2.[Kylin ODBC Driver Tutorial](docs/Tutorial/Kylin ODBC Driver Tutorial.md) 

3.[SQL Reference](https://github.com/apache/incubator-calcite/blob/master/doc/reference.md)

####REST

1.[Kylin Restful API List](docs/REST/Kylin Restful API List.md)

2.[Build Cube with Restful API](docs/REST/Build Cube with Restful API.md)

3.[How to consume Kylin REST API in javascript](docs/REST/How to consume Kylin REST API in javascript.md)

####Operations
1.[Kylin Metadata Store](docs/Operations/Kylin Metadata Store.md)

2.[Export Kylin HBase data](docs/Operations/Export Kylin HBase data.md)

3.[Advanced settings of Kylin environment](docs/Operations/Advanced settings of Kylin environment.md)

####Test

1.[Run Kylin test case with HBase Mini Cluster](docs/Test/Run Kylin test case with HBase Mini Cluster.md)


####Technial Details

1.[New meta data model structure](docs/TechInside/New meta data model structure.md)

2.[Job Engine Design](docs/JobEngine/Design.md)

Get Help
------------

The fastest way to get response from our developers is to send email to our mail list <dev@kylin.incubator.apache.org>, and remember to subscribe our mail list via <dev-subscribe@kylin.incubator.apache.org>


Resources
------------

* [FAQ](docs/MISC/FAQ on Kylin Installation and Usage.md)

* Web Site: <http://kylin.incubator.apache.org/>

* Developer Mail: <dev@kylin.incubator.apache.org>

* How To Contribute: See [this](docs/MISC/How to Contribute.md)

* Apache Proposal: [Apache Kylin](https://wiki.apache.org/incubator/KylinProposal)

* [Kylin Document Conventions](docs/MISC/Kylin Document Conventions.md)


